#!/bin/bash

. lib.sh

ids="0 $(seq 255 256 2047)"

prepare() {
    sshgw 'for i in `seq 0 2047`; do cangw -A -s can0 -d can1 -f $(printf %x $i):c00007ff; done'
}

main() {
    for i in $ids; do
	latester -d can0 -d can1 -d can2 -c $COUNT -i $i $(traffic_and_length 2) -n id-$i
    done
}

plot_cmds() {
    cat <<EOF
set title "2048 GW jobs (one per id, mask C00007FF), no modifications"
set logscale xy
set grid xtics mxtics ytics mytics lw 1, lw 0.5
set xlabel "Time [ms]"
set ylabel "Latency profile [messages]"
plot [0.05:50] [1:$COUNT] \\
EOF
    lt=1
    for i in $ids; do
	echo_plot "\"id-$i-hist.txt\" with lp lt $lt title \"Message id $i\""
        lt=$((lt+1))
    done
    echo
}
    
test_end
